EDIT - bug #4796

Sorting of hybrids
04/15/2015 09:30 AM - Katja Luther

Status: New Start date:

Priority: Priority14 Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.45

Severity: normal Found in Version:

Description

mail von Ralf:

es gibt ein noch zu lI6sendes Problem bei der Anzeige von Namen in den Search results. Ich schicke die Sache erstmal nur Dir, da
ich nicht weif3, wer sich darum kiimmern soll/kann.

Testfall ist die Gattung Ophrys auf der Zypernseite. Das Problem sind Hybriden, die noch keine glltigen Namen haben, flr die es
also nur die Bastardkombinationen gibt. Suchst Du ,Ophrys®, wird erst eine lange Liste dieser Kombinationen angezeigt, dann
irgendwann die Gattung Ophrys und die guten Arten und Hybriden.

Ich hab‘ das gerade mit Norbert angesehen. Die Anzeigereihenfolge sollte optimalerweise folgender Gestalt sein:

ganz oben: die nackte Gattung, also in dem Fall Ophrys

dann: ggfs. Sektionen u. &., wie schon bisher

dann: die Arten und die Unterarten (und Bastarde mit Binomen, die bisher schon voéllig korrekt gelistet werden)

dann: nach diesen diese Bastardkombinationen

Ich liste mal eine partiell fiktive Reihe:

Ophrys

Ophrys sect. Lutea

Ophrys kotschyi

Ophrys kotschyi x umbilicata

Ophrys umbilicata

Ophrys umbilicata subsp. lutea

Ophrys umbilicata x willingiorum

Ophrys umbilicata x willingiorum subsp. muelleri

Ophrys zygophylla

usw. usf.

Wenn dann auch noch als Bonus die GéansefiiBchen bei vorldufigen Namen wie O. x“jansenii“ bei der Sortierung vollig ignoriert
werden kénnten, ware das noch schoner.

maybe related to or duplicated by #2201

Related issues:
Related to EDIT - bug #5832: It is not possible to search for hybrids in taxo... New
Has duplicate EDIT - bug #3933: the search result list should contain bastard... Duplicate
History

#1 - 04/29/2015 02:44 PM - Andreas Miiller
- Target version set to cdmlib RELEASE 3.5.2

#2 - 05/04/2015 01:52 PM - Andreas Kohlbecker
- Keywords set to hybrid-taxa

#3 - 12/18/2015 12:38 PM - Andreas Miiller
- Target version changed from cdmlib RELEASE 3.5.2 to Unassigned CDM tickets

#4 - 07/02/2021 06:31 PM - Andreas Miiller

- Description updated

- Assignee changed from Katja Luther to Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 5.45

- Private changed from Yes to No

This is probably duplicated by #3933. See also comments there.

Test if it is still an open issue.

#5 - 07/02/2021 06:31 PM - Andreas Miiller
- Has duplicate bug #3933: the search result list should contain bastards in alphabetical order added

#6 - 07/02/2021 06:31 PM - Andreas Miiller
- Tags changed from hybrid-taxa to hybrid-taxa, search

#7 - 07/02/2021 06:32 PM - Andreas Miiller
- Related to bug #5832: It is not possible to search for hybrids in taxon search added
https://dev.e-taxonomy.eu/redmine/issues/3933
